: Class BooleanField

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.forms
Class BooleanField

    java.lang.Object
      |
      +--org.w3c.tools.forms.FormField
            |
            +--org.w3c.tools.forms.OptionField
                  |
                  +--org.w3c.tools.forms.BooleanField

public class BooleanField
extends OptionField

Fields inherited from class org.w3c.tools.forms.FormField
`manager, name, title`

Constructor Summary
`BooleanField(FormManager manager, java.lang.String name, java.lang.String title, boolean value)` Create a boolean field.

Method Summary
`boolean` | `acceptChange(int idx)` Do we accept the given change ?
`java.lang.Boolean` | `getBooleanValue()` Get this field's value as a boolean.
`java.lang.Object` | `getValue()` Get this field's value according to its native type.
`void` | `setValue(java.lang.Object value, boolean notify, boolean update)` Set this field's boolean value.

Methods inherited from class org.w3c.tools.forms.OptionField
`getEditor, getIntValue, getStringValue, setValue, setValue`

Methods inherited from class org.w3c.tools.forms.FormField
`getName, getTitle, gotFocus, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanField

    public BooleanField(FormManager manager,
                        java.lang.String name,
                        java.lang.String title,
                        boolean value)
                 throws IllegalFieldValueException

  Create a boolean field.
  Throws:
    IllegalFieldValueException - If the field rejected the value.

Method Detail

### acceptChange

    public boolean acceptChange(int idx)

  Do we accept the given change ?
  Overrides:
    acceptChange in class OptionField

### setValue

    public void setValue(java.lang.Object value,
                         boolean notify,
                         boolean update)
                  throws IllegalFieldValueException

  Set this field's boolean value.
  Overrides:
    setValue in class OptionField
  Parameters:
    `value` - A Boolean object.
    `udate` - Should we update the editor's view ?
  Throws:
    IllegalFieldValueException - If the field rejected the value.

### getValue

    public java.lang.Object getValue()

  Get this field's value according to its native type.
  Overrides:
    getValue in class OptionField
  Tags copied from class: OptionField
  Returns:
    The currently selected option as a String.

### getBooleanValue

    public java.lang.Boolean getBooleanValue()

  Get this field's value as a boolean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD